# Share all accessible Assets in a Collection. Share the zip file of all accessible Assets in a collection and send to the specified emails in share users list. User can also send the custom share message along with request. The user sharing the Assets must be granted the Download and Share Security Template permission on the Assets being shared. Endpoint: POST /collection/{id}/share Version: 1.0 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation - `AccessToken` (string, required) JWT token provided by Authentication Token creation operation. - `Content-Type` (string, required) Enum: "application/json" ## Path parameters: - `id` (string, required) Specify Collection ID ## Request fields (application/json): - `sender` (object) - `sender.name` (string) The name of the person ton display in the email Example: "Michael Lee" - `shareUsers` (array) A list of email addresses of the recipients. - `shareUsers.email` (string) Example: "john@mail.com" - `shareUsers.name` (string) Example: "John" - `shareMessage` (string) A message from sender to recipient Example: "A message from sender to recipient" ## Response 200 fields (application/json): - `StatusCode` (integer) Example: 200 - `ExecutedVersion` (string) Example: "$LATEST" - `Payload` (string) Example: "{\"statusCode\":200,\"body\":\"{\\\"message\\\":\\\"Message sent successfully\\\"}\",\"headers\":{\"content-type\":\"application/json\"}}" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string) ## Response 400 fields